using System;

namespace Namestanje_glasova
{
    class Program
    {
        static int Br(int[] A, int N1, int br)
        {
            int N = 0;
            int brojac1 = 0;
            int brojac2 = 0;
            int brojac3 = -1;
            if (A[A.Length / 2] == br) return 0;

            for (int i = 0; i < A.Length; i++)
            {
                if (br > A[i])
                    brojac1++;
                else if (br == A[i])
                    brojac3++;
                else break;
            }
            for (int i = A.Length - 1; i > 0; i--) 
            {
                if (br < A[i])
                    brojac2++;
                else if (br == A[i])
                    break;
            }


            if (br < A[A.Length / 2])
            {
                return Math.Abs(brojac1 - brojac2);
            }
            else if (brojac1 > brojac2) N = 2 * brojac1 + brojac3;
            else N = 2 * brojac2 + brojac3;            

            return Math.Abs(N1 - N);         

        }
        static int[] Dodaj(int[] A,int br)
        {
            int[] A1 = new int[A.Length + 1];
            for (int i = 0; i < A.Length; i++)
            {
                A1[i] = A[i];
            }
            A1[A.Length] = br;
            Array.Sort(A1);
            return A1;
        }
        static void Main(string[] args)
        {
            string[] c = Console.ReadLine().Split(' ');
            int N = Convert.ToInt32(c[0]);
            int Q = Convert.ToInt32(c[1]);

            string[] a = Console.ReadLine().Split(' ');
            int[] A = new int[N];
            for (int i = 0; i < N; i++)
            {
                A[i] = Convert.ToInt32(a[i]);
            }

            string[] b = Console.ReadLine().Split(' ');
            int[] B = new int[N];
            for (int i = 0; i < Q; i++)
            {
                B[i] = Convert.ToInt32(b[i]);
            }

            Array.Sort(A);
            bool ima = false;
            for (int i = 0; i < Q; i++)
            {
                ima = false;
                for (int j = 0; j < N; j++)
                {
                    if (A[j] == B[i])
                    {
                        ima = true;
                    }
                }
                if(ima)
                Console.WriteLine(Br(A, N, B[i]));
                else
                {
                    Console.WriteLine(Br(Dodaj(A, B[i]), N, B[i]));
                }
            }
        }
    }
}